Bug 1003114 - Documentation: EAP 6 Thread Pool Blocking Bounded Queue, Keepalive Unit must be uppercase
Documentation: EAP 6 Thread Pool Blocking Bounded Queue, Keepalive Unit must ...
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.1.2
Unspecified Unspecified
unspecified Severity low
: GA
: ---
Assigned To: Deon Ballard
Mike Foley
Depends On:
  Show dependency treegraph
Reported: 2013-08-30 16:27 EDT by Simeon Pinder
Modified: 2014-01-24 13:01 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-24 13:01:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Simeon Pinder 2013-08-30 16:27:54 EDT
Description of problem:
EAP 6.0.0.GA and EAP 6.1.0.GA handle input for Keep-Alive: Unit differently. 6.0.0.GA only accepts uppercase 'SECONDS' while 6.1.0.GA accepts both 'SECONDS' and 'seconds'.  

I'm not sure if this requires a formal product fix and/or just a release notes mention, but we should tell the customers to use uppercase for the units as the behavior is consistent across the EAP versions for older and newer plugin versions.

Version-Release number of selected component (if applicable):
3.1.2.GA and master(circa. 8/30/13).

How reproducible:
Every Time.

Steps to Reproduce:
1.  Install, configure, and start EAP 6 standalone server.
2.  Start JBoss ON system.
3.  Import EAP 6 standalone server into inventory.
4.  Configure EAP resource's connection properties.
5.  Create a new *thread pool* with the minimum set of required properties for the EAP resource:

    Navigate to *JBossAS7 Standalone Servers / EAP (* and right-clicking on *thread > Create Child -> Thread Pool*:

        *New Resource Name*: `TestBoundedPool`
        *Resource Configuration Template*: `Bounded Queue Thread Pool`
        *Max Threads*: `10`
        *Keepalive Time*:
            *Time*: `10`
            *Unit*: `seconds`

Actual results:
-For EAP 6.0.0.GA, child create fails with this message:
JBAS014749: Operation handler failed: No enum constant java.util.concurrent.TimeUnit.seconds, rolled-back=true
-For EAP 6.1.0.GA child create succeeds with upper or lowercase unit designation.

Expected results:
-Documentation in release notes
-Formal documentation mention of issue if that makes sense.

Additional info:
- I'm not sure how many other unit designations are affected in this way.
- We should look into how much work is involved in automatically upcasing units designation in the eap plugin so there is one less thing to worry about.
Comment 1 Simeon Pinder 2013-08-30 16:47:21 EDT
Setting 'Target Milestone' after quick micro triage with Heiko and Mike Foley so this is one less BZ to show up in the BZ triage.

Note You need to log in before you can comment on or make changes to this bug.